# Generated by Django 3.1.13 on 2021-10-20 23:03

from django.conf import settings
from django.db import migrations


def update_site_forward(apps, schema_editor):
    """Set site domain and name."""
    Site = apps.get_model("sites", "Site")
    Site.objects.update_or_create(
        id=settings.SITE_ID,
        defaults={
            "domain": "sprintcraft.opencraft.com",
            "name": "SprintCraft",
        },
    )


def update_site_backward(apps, schema_editor):
    """Revert site domain and name to default."""
    Site = apps.get_model("sites", "Site")
    Site.objects.update_or_create(
        id=settings.SITE_ID,
        defaults={
            "domain": "sprints.opencraft.com",
            "name": "Sprints",
        },
    )


class Migration(migrations.Migration):
    dependencies = [
        ('sites', '0004_auto_20210125_2338'),
    ]

    operations = [
        migrations.RunPython(
            update_site_forward,
            update_site_backward,
        ),
    ]
